#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.71])
AC_INIT([tmgx], [0.1], [hu.moonstone@gmail.com])
AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([1.16.5])
AC_CONFIG_SRCDIR([config.h.in])
AC_CONFIG_HEADERS([config.h])

# Checks for programs.
AC_PROG_CXX
AC_PROG_AWK
AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_MAKE_SET
# AC_PROG_RANLIB

#LT_INIT([disable-shared])
LT_INIT()

# Checks for libraries.
# FIXME: Replace 'main' with a function in '-lX11':
AC_CHECK_LIB([X11], [main])
AC_CHECK_LIB([m], [main])

# Checks for header files.
AC_PATH_X
AC_CHECK_HEADERS([fcntl.h sys/time.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_TYPE_MODE_T
AC_TYPE_PID_T
AC_TYPE_SIZE_T

# Checks for library functions.
AC_FUNC_FORK
AC_FUNC_MALLOC
AC_FUNC_REALLOC
AC_CHECK_FUNCS([atexit dup2 floor memset pow rint select setlocale sqrt strchr strcspn strdup strrchr strspn strstr strtoul])

AC_CONFIG_MACRO_DIRS([m4])

AC_CONFIG_FILES([Makefile
                 src/Makefile])
AC_OUTPUT
